import { DbOperationArgs, MongoDBToolBase } from "./mongodbTool.js";
export class CollectionIndexesTool extends MongoDBToolBase {
    constructor() {
        super(...arguments);
        this.name = "collection-indexes";
        this.description = "Describe the indexes for a collection";
        this.argsShape = DbOperationArgs;
        this.operationType = "read";
    }
    async execute({ database, collection }) {
        const provider = await this.ensureConnected();
        const indexes = await provider.getIndexes(database, collection);
        return {
            content: indexes.map((indexDefinition) => {
                return {
                    text: `Field: ${indexDefinition.name}: ${JSON.stringify(indexDefinition.key)}`,
                    type: "text",
                };
            }),
        };
    }
}
//# sourceMappingURL=collectionIndexes.js.map