import { DbOperationArgs, MongoDBToolBase } from "../mongodbTool.js";
export class ListCollectionsTool extends MongoDBToolBase {
    constructor() {
        super(...arguments);
        this.name = "list-collections";
        this.description = "List all collections for a given database";
        this.argsShape = {
            database: DbOperationArgs.database,
        };
        this.operationType = "metadata";
    }
    async execute({ database }) {
        const provider = await this.ensureConnected();
        const collections = await provider.listCollections(database);
        return {
            content: collections.map((collection) => {
                return {
                    text: `Name: ${collection.name}`,
                    type: "text",
                };
            }),
        };
    }
}
//# sourceMappingURL=listCollections.js.map