import { MongoDBToolBase } from "../mongodbTool.js";
export class ListDatabasesTool extends MongoDBToolBase {
    constructor() {
        super(...arguments);
        this.name = "list-databases";
        this.description = "List all databases for a MongoDB connection";
        this.argsShape = {};
        this.operationType = "metadata";
    }
    async execute() {
        const provider = await this.ensureConnected();
        const dbs = (await provider.listDatabases("")).databases;
        return {
            content: dbs.map((db) => {
                return {
                    text: `Name: ${db.name}, Size: ${db.sizeOnDisk.toString()} bytes`,
                    type: "text",
                };
            }),
        };
    }
}
//# sourceMappingURL=listDatabases.js.map